<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'cache', language 'en_ar', version '4.1'.
 *
 * @package     cache
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['defaultmappings_help'] = 'These are the default stores that will be used if ye don\'t map one or more stores to the cache definition.';
$string['deletelockconfirmation'] = 'Are ye sure ye want to delete the {$a} lock?';
$string['deletelockhasuses'] = 'Ye cannot delete this lock instance because it is being used by one or more stores.';
$string['deletestoreconfirmation'] = 'Are ye sure ye want to delete the "{$a}" store?';
$string['deletestorehasmappings'] = 'Ye cannot delete this store because it has mappings. Please delete all mappings before deleting the store';
$string['ex_unmetstorerequirements'] = 'Ye are unable to use this store at the present time. Please refer to the documentation to determine its requirements.';
$string['locknamenotunique'] = 'The name ye have selected is not unique. Please select a unique name.';
$string['sharing_help'] = 'This allows ye to determine how the cache data can be shared if ye have a clustered setup, or if ye have multiple sites all set up with the same store and wish to share the data. This is an advanced setting please make sure ye understand its purpose before changing it.';
$string['sharingrequired'] = 'Ye must select at least one sharing option.';
$string['storename_help'] = 'This sets the store name. It is used to identify the store within the system and can only consist of a-z A-Z 0-9 -_ and spaces. It also must be unique. If ye attempt to use a name that has already been used ye will receive an error.';
$string['storenamealreadyused'] = 'Ye must choose a unique name for this store.';
$string['storenameinvalid'] = 'Invalid store name. Ye can only use a-z A-Z 0-9 -_ and spaces.';
$string['storerequiresattention_help'] = 'This store instance is not ready to be used but has mappings. Fixing this issue will improve performance on yer system. Please check that the store backend is ready to be used and that any PHP requirements are met.';
$string['userinputsharingkey_help'] = 'Enter yer own private key here. When ye set up other stores on other sites ye wish to share data with make sure ye set the exact same key there.';
