<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_qeupgradehelper', language 'en_ar', version '4.1'.
 *
 * @package     tool_qeupgradehelper
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['areyousure'] = 'Are ye sure?';
$string['areyousuremessage'] = 'Do ye wish to proceed with upgrading all {$a->numtoconvert} attempts at quiz \'{$a->name}\' in course {$a->shortname}?';
$string['areyousureresetmessage'] = 'Quiz \'{$a->name}\' in course {$a->shortname} has {$a->totalattempts} attempts, of which {$a->convertedattempts} were upgraded from the old system. Of those, {$a->resettableattempts} can be reset, for later re-conversion. Do ye want to proceed with this?';
$string['croninstructions'] = 'Ye can enable cron to automatically complete the upgrade following a partial upgrade. Cron will run between set hours on the day (according to server local time). Each time cron runs, it will process a number of attempts until Time limit amount of time has been used, then it will stop and wait for the next cron run. Even if ye have set up cron, it will not do anything unless it detects that the main upgrade to 2.1 has been completed.';
$string['cronsetup_desc'] = 'Ye can configure cron to complete the upgrade of quiz attempt data automatically.';
$string['listpreupgrade_desc'] = 'This will show a report of all the quizzes on the system and how many attempts they have. This will give ye an idea of the scope of the upgrade ye have to do.';
$string['listpreupgradeintro'] = 'These are the number of quiz attempts that will need to be processed when ye upgrade yer site. A few tens of thousands is no worry. Much beyond that and ye need to think about how long the upgrade will take.';
$string['listtodointro'] = 'These are all the quizzes with attempt data that still needs to be converted. Ye can convert the attempts by clicking the link.';
$string['noquizattempts'] = 'Yer site does not have any quiz attempts at all!';
$string['quizzesthatcanbereset'] = 'The following quizzes have converted attempts that ye may be able to reset';
$string['veryoldattemtps'] = 'Yer site has {$a} quiz attempts that were never completely updated during the upgrade from Moodle 1.4 to Moodle 1.5. These attempts will be dealt with before the main upgrade. Ye need to to consider the extra time required for this.';
